function [Str] = shiftBrightness (S)
%[Sbright] = SHIFTBRIGHTNESS (S) - funkce upravi hodnoty matice tak, aby
%odpovidaly hodnotam jasu videozaznamu (nejmensi hodnota 0, nejvetsi 255).
%   S       - puvodni matice S
%   Str     - S transformovana

Str = floor(S / 2) + 128; % Zmena rozpeti na -128 az 127, posun do 0 az 255

% Jiny zpusob - mene vhodny
% Str = S - min(min(S)); % posun ve smeru + do 0
% Str = Str / max( max(Str) ) * 255; % zmena rozpeti na 0 az 255

end